LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 04-25-2004, 10:05 AM   #1
p41elvis
Member
 
Registered: Apr 2004
Location: Rotterdam
Distribution: Mandriva 2006 Community Edition
Posts: 62

Rep: Reputation: 15
Bluefish -> pcre-devel??


Hello everybody,

I justed started out in the wonderfull world of Linux, so I'm a real n00b, so if I'm asking stupid questions you now what's the cause of that


I've recently installed Mandrake 10.0 on my laptop and now I want toe install Bluefish (bluefish.openoffice.nl/index2.html). The problem is that it keeps saying:
Quote:
Error: Failed dependencies
pcre >= 3.9 is needed by bluefish-0.13-1
So I download version 4.4 of pcre from pcre.org but I keep getting the same error. The manual of Bluefish says the following:
Quote:
libpcre: Breaks pcre into 3 different pieces, make sure pcre-devel is installed if compiling from source. Try this command:
$ rpm -ql pcre-devel
The result of "rpm -ql pcre-devel" is:
Quote:
package pcre-devel is not installed
Can someone please tell me how I get the package installed correctly? I believe pcre-devel is a separate package or something, but I can't seem to find a good / working version. I found something which told me to place the downloaded files is the following directories:
/usr/bin
/usr/include
/usr/lib

But I still keep getting the error message. I found someone with the same problem here: ems.ru/~villain/bluefish-dev.2003-06/0263.html, he says he found some kind of solution, but I don't see what that solution is.

I hope that there is anybody that can help me out with this, thank you in advance!

Best regards,
Jethro

PS. I'm sorry I had to remove all the "www" in front of the URL's, but the forum wouldn't let me post URL's altough I believe they are quite helpfull in this thread.

Last edited by p41elvis; 04-25-2004 at 10:06 AM.
 
Old 04-25-2004, 10:27 AM   #2
trickykid
LQ Guru
 
Registered: Jan 2001
Posts: 24,149

Rep: Reputation: 245Reputation: 245Reputation: 245
After installing pcre, did you try to run ldconfig as root to update the shared library links database? And if probably would help to create symlinks of the lib's to /usr/lib if they reside in /usr/local/lib, etc.
 
Old 04-25-2004, 10:44 AM   #3
p41elvis
Member
 
Registered: Apr 2004
Location: Rotterdam
Distribution: Mandriva 2006 Community Edition
Posts: 62

Original Poster
Rep: Reputation: 15
Quote:
Originally posted by trickykid
After installing pcre, did you try to run ldconfig as root to update the shared library links database?
I just did that but I still get the error, is there a way of checking that the updating was going correctly?

Quote:
And if probably would help to create symlinks of the lib's to /usr/lib if they reside in /usr/local/lib, etc.
If i'm getting it correctly I should check if the files of pcre are in /usr/lib and if they are not I should create symlinks?
 
Old 04-25-2004, 11:10 AM   #4
trickykid
LQ Guru
 
Registered: Jan 2001
Posts: 24,149

Rep: Reputation: 245Reputation: 245Reputation: 245
Quote:
Originally posted by p41elvis
I just did that but I still get the error, is there a way of checking that the updating was going correctly?

If i'm getting it correctly I should check if the files of pcre are in /usr/lib and if they are not I should create symlinks?
You can certainly try that. Check your /etc/ld.so.conf file and see if /usr/local/lib is in the file as one of the paths to look in, etc.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
help installing snort: pcre header missing cynthia_thomas Linux - Networking 1 11-07-2005 11:19 AM
bluefish: relocation error: bluefish: undefined symbol: gtk_file_chooser_di pymehta Linux - Software 3 02-05-2005 11:00 PM
Package fam-devel needs libselinux-devel belkins Linux - Newbie 2 10-18-2004 03:02 PM
PCRE Configuring MDK10 Goryan Linux - Newbie 0 08-21-2004 10:55 AM
mplayer and gtk-devel and libpng-devel ... purpleburple Linux - Software 1 03-16-2003 03:57 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 08:04 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration